journey_smart_tabs_form:
  label: Journey Smart Tabs Form
  namespace: Organisms/TM - Journey Smart/Form
  use: '@organisms/tm-js/journey-smart-tabs/journey-smart-tabs-form.twig'
  description: Departure and arrival tabs form
  libraries:
    - journey_smart_tabs_form_lib:
        js:
          ../behaviors/journey-smart-tabs.js: {}
        css:
          component:
            ../styles/journey-smart-tabs.css: {}
  fields:
    station:
      type: textfield
      label: Station field
      preview: '<div class="stations-autocomplete form-group js-form-item js-form-type-nre-stations-autocomplete js-form-item-station">
                <label for="edit-station">Departing from</label>
                <input data-drupal-selector="edit-station" data-msg-maxlength="Departing from field has a maximum length of 255." data-rule-storage_autocomplete=".+\s\[([A-Z]{3}|[0-9]{1,3})\]" data-msg-storage_autocomplete="Please use the autocomplete dropdown to select the &quot;Departing from&quot; field." type="text" id="edit-station" name="station" value="" size="60" maxlength="255" placeholder="Stations name or code" class="form-text ui-autocomplete-input form-control nre-autocomplete" autocomplete="off" role="combobox" aria-autocomplete="list" aria-expanded="false" aria-controls="listbox_edit-station_container" aria-owns="listbox_edit-station_container" data-dashlane-rid="d6e975188c6acefc" data-dashlane-classification="other">
            </div>'
    calling_at:
      type: textfield
      label: Station field
      preview: '<div class="stations-autocomplete form-group js-form-item js-form-type-nre-stations-autocomplete js-form-item-callingat">
                <label for="edit-callingat">Going to (optional)</label>
                <input data-drupal-selector="edit-callingat" data-msg-maxlength="Going to (optional) field has a maximum length of 255." data-rule-storage_autocomplete=".+\s\[([A-Z]{3}|[0-9]{1,3})\]" data-msg-storage_autocomplete="Please use the autocomplete dropdown to select the &quot;Going to (optional)&quot; field." type="text" id="edit-callingat" name="callingAt" value="" size="60" maxlength="255" placeholder="Stations name or code" class="form-text ui-autocomplete-input form-control nre-autocomplete" autocomplete="off" role="combobox" aria-autocomplete="list" aria-expanded="false" aria-controls="listbox_edit-callingat_container" aria-owns="listbox_edit-callingat_container" data-dashlane-rid="a1c74aa5acd4a717" data-dashlane-classification="other">
            </div>'
